Page MenuHomeFreeBSD

Go ports: cleanup, finish transition to USES=go started with r505321 (cat. sysutils-x11)
ClosedPublic

Authored by dmgk on Sep 21 2019, 9:22 PM.

Details

Summary

Go ports: cleanup, finish transition to USES=go started with r505321 (cat. sysutils-x11)

  • Remove custom build/install targets left in place after r505321
  • Switch to the new GO_TARGET tuple syntax introduced in r512001
Test Plan

poudriere bulk -C: OK (113i, 120a)
exp-run

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dmgk created this revision.Sep 21 2019, 9:22 PM
tz added a comment.Sep 22 2019, 9:47 PM

Aloha Dmitri,

two short questions:

poudriere bulk -C -j120a: OK

Why only 12? Please always check both versions. Sometimes there are some side effects in building, nobody could foresee.

exp-run

Does this mean there was already an exp-run? If so please link the PR. In this case you can safely ignore my previous comment ;)

dmgk added a comment.Sep 22 2019, 10:20 PM
In D21744#474762, @tz wrote:

Aloha Dmitri,
two short questions:

poudriere bulk -C -j120a: OK

Why only 12? Please always check both versions. Sometimes there are some side effects in building, nobody could foresee.

Hi Torsten,

Given that these ports are building fine now and there's no functional change to the software (no version updates etc) and only changes to the ports, I felt that it would be enough to test these patches only on a single FreeBSD version. I can run the same poudriere bulk builds on say 11.3 i386 and update test plan with results.

exp-run

Does this mean there was already an exp-run? If so please link the PR. In this case you can safely ignore my previous comment ;)

Not yet :) I was going to wait a day or two for the reviewers feedback before requesting an exp-run.

tz added a comment.Sep 22 2019, 10:24 PM
In D21744#474777, @dmgk wrote:
In D21744#474762, @tz wrote:

Aloha Dmitri,
two short questions:

poudriere bulk -C -j120a: OK

Why only 12? Please always check both versions. Sometimes there are some side effects in building, nobody could foresee.

Hi Torsten,
Given that these ports are building fine now and there's no functional change to the software (no version updates etc) and only changes to the ports, I felt that it would be enough to test these patches only on a single FreeBSD version. I can run the same poudriere bulk builds on say 11.3 i386 and update test plan with results.

Ah, okay. Based on experience: most times everything is fine. And sometimes, especially if you don't expect anything, an dependency or something else will fail. Better be safe than to get fallout and helpful emails ;)

exp-run

Does this mean there was already an exp-run? If so please link the PR. In this case you can safely ignore my previous comment ;)

Not yet :) I was going to wait a day or two for the reviewers feedback before requesting an exp-run.

Please feel free to request it now. You can request all 3 reviews in one exp-run. :)

tobik requested changes to this revision.Sep 23 2019, 4:40 AM
tobik added inline comments.
sysutils/consul-alerts/Makefile
13 ↗(On Diff #62403)

USES=compiler no longer needed here.

sysutils/epazote/Makefile
13 ↗(On Diff #62403)

USES=compiler not needed here.

sysutils/nomad/Makefile
17 ↗(On Diff #62403)

USES=compiler no longer needed here.

www/minio-client/Makefile
33 ↗(On Diff #62403)

MAKE_ENV is probably not needed here anymore.

This revision now requires changes to proceed.Sep 23 2019, 4:40 AM
dmgk updated this revision to Diff 62456.Sep 23 2019, 11:55 AM
dmgk marked 4 inline comments as done.

Remove leftover USES=compiler and MAKE_ENV.

dmgk edited the test plan for this revision. (Show Details)Sep 23 2019, 11:55 AM
dmgk added a comment.Sep 23 2019, 1:06 PM
In D21744#474778, @tz wrote:

Ah, okay. Based on experience: most times everything is fine. And sometimes, especially if you don't expect anything, an dependency or something else will fail. Better be safe than to get fallout and helpful emails ;)

I've run poudriere bulk overnight on 113i and updated test plans with results.

Please feel free to request it now. You can request all 3 reviews in one exp-run. :)

Done, https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240771

tobik accepted this revision.Sep 23 2019, 4:02 PM
This revision is now accepted and ready to land.Sep 23 2019, 4:02 PM
araujo accepted this revision.Sep 24 2019, 1:50 AM

LGTM, same thing, wait for the exp-run and portmgr approval.

dmgk added a comment.Sep 29 2019, 7:25 PM

Exp-run passed, can someone from portmgr please approve this and the other two patches: https://reviews.freebsd.org/D21743 and https://reviews.freebsd.org/D21741

adamw accepted this revision.Sep 29 2019, 7:37 PM
adamw added a subscriber: adamw.

I'll approve it.

I couldn't ever actually enforce this, but I'd like the approval to be on the condition that you follow it up by writing something for Mk/go.mk and porters-handbook on how to do Go-based ports correctly. There is essentially no documentation, and it's completely opaque for anybody looking to port go programs. This sweep is necessary because there's no direction on the "correct" way.

dmgk added a comment.Sep 29 2019, 7:59 PM

I'll approve it.
I couldn't ever actually enforce this, but I'd like the approval to be on the condition that you follow it up by writing something for Mk/go.mk and porters-handbook on how to do Go-based ports correctly. There is essentially no documentation, and it's completely opaque for anybody looking to port go programs. This sweep is necessary because there's no direction on the "correct" way.

Hi Adam,

Thanks. Some time ago @tobik wrote 6.5.8. Building Go Applications section that covers this process in details. It is tailored for Go modules, but I doubt that there will be much new Go software written that don't use them.

adamw added a comment.Sep 29 2019, 8:56 PM

> Thanks. Some time ago @tobik wrote 6.5.8. Building Go Applications section that covers this process in details. It is tailored for Go modules, but I doubt that there will be much new Go software written that don't use them.

That's fair. However, this review is a sweeping change of all go ports to meet a specific, consistent standard, suggesting that the plurality of ports were doing things in a suboptimal way. IMO the PHB should demonstrate what the ports should and should not be doing.

dmgk added a comment.Sep 29 2019, 11:56 PM

That's fair. However, this review is a sweeping change of all go ports to meet a specific, consistent standard, suggesting that the plurality of ports were doing things in a suboptimal way. IMO the PHB should demonstrate what the ports should and should not be doing.

Makes sense. Perhaps it would be useful to have a list of "best practices" for creating Go ports. I'll extend the "Building Go Applications" section and post a doc review.

In D21744#477011, @dmgk wrote:

That's fair. However, this review is a sweeping change of all go ports to meet a specific, consistent standard, suggesting that the plurality of ports were doing things in a suboptimal way. IMO the PHB should demonstrate what the ports should and should not be doing.

Makes sense. Perhaps it would be useful to have a list of "best practices" for creating Go ports. I'll extend the "Building Go Applications" section and post a doc review.

That would be fantastic, please do it! I'm doing a lot of Go projects at work and soon I will create ports for these projects, it would be handy have some additional documentation about the best practices.

Thank you.